package com.ym.mec.biz.dal.dao;

import java.util.List;

import org.apache.ibatis.annotations.Param;

import com.ym.mec.biz.dal.entity.ImGroupMember;
import com.ym.mec.common.dal.BaseDAO;

public interface ImGroupMemberDao extends BaseDAO<Long, ImGroupMember> {

	int deleteByImGroupId(Long imGroupId);

	int batchDelete(List<ImGroupMember> imGroupMemberList);

	List<ImGroupMember> queryByImGroupIdAndUserId(@Param("imGroupIdList") String imGroupIdList, @Param("userIdList") String userIdList);
	
	int batchUpdate(List<ImGroupMember> imGroupMemberList);
	
	int batchInsert(List<ImGroupMember> imGroupMemberList);
}